ApiAuth settings
Get authentication settings
Return global authentication configuration including allowed domains, admin emails, and token expiration settings. Requires admin or owner role.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Cookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/settings/auth"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"setup_completed_at": "2019-08-24T14:15:22Z",
"allowed_email_domains": [
"string"
],
"admin_emails": [
"string"
],
"access_token_expire_minutes": 30,
"refresh_token_expire_days": 7,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}